VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
Config Struct Reference
Standalone Library

Configuration for an UIDescription window. More...

`#include <iuidescwindow.h>`

## Public Attributes
UTF8String | uiDescFileName
| Filename of the UIDescription xml file.
UTF8String | viewName
| Template name of the view in the uidesc file to show in the window.
WindowConfiguration | windowConfig
| Window configuration.
ModelBindingPtr | modelBinding
| Model binding.
CustomizationPtr | customization
| Optional UI customization

## Detailed Description

Configuration for an UIDescription window.

## Member Data Documentation

## ◆ customization

CustomizationPtr customization

Optional UI customization

Additionally to the ICustomization features, if this object implements the IWindowController interface, all window controller functions will be dispatched to this object.

## ◆ modelBinding

ModelBindingPtr modelBinding

Model binding.

Additioanlly to the IModelBinding features, if this object implements the ICommandHandler interface all commands send to the window will be dispatched to this object.

## ◆ uiDescFileName

UTF8String uiDescFileName

Filename of the UIDescription xml file.

## ◆ viewName

UTF8String viewName

Template name of the view in the uidesc file to show in the window.

## ◆ windowConfig

WindowConfiguration windowConfig

Window configuration.

The documentation for this struct was generated from the following file:

- iuidescwindow.h